org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.Heading

- All Known Subinterfaces:
    HamletSpec._Block, HamletSpec._Body, HamletSpec._Cell, HamletSpec._Html, HamletSpec.Block, HamletSpec.BLOCKQUOTE, HamletSpec.BODY, HamletSpec.BUTTON, HamletSpec.DD, HamletSpec.DEL, HamletSpec.DIV, HamletSpec.FIELDSET, HamletSpec.Flow, HamletSpec.FORM, HamletSpec.HTML, HamletSpec.INS, HamletSpec.LI, HamletSpec.MAP, HamletSpec.OBJECT, HamletSpec.TD, HamletSpec.TH
  All Known Implementing Classes:
    Hamlet, Hamlet.BLOCKQUOTE, Hamlet.BODY, Hamlet.BUTTON, Hamlet.DD, Hamlet.DEL, Hamlet.DIV, Hamlet.FIELDSET, Hamlet.FORM, Hamlet.HTML, Hamlet.INS, Hamlet.LI, Hamlet.MAP, Hamlet.OBJECT, Hamlet.TD, Hamlet.TH
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.Heading

  %heading

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.H1` | `h1()` Add an H1 element.
    `HamletSpec.Heading` | `h1(String cdata)` Add a complete H1 element.
    `HamletSpec.Heading` | `h1(String selector, String cdata)` Add a complete H1 element
    `HamletSpec.H2` | `h2()` Add an H2 element.
    `HamletSpec.Heading` | `h2(String cdata)` Add a complete H2 element.
    `HamletSpec.Heading` | `h2(String selector, String cdata)` Add a complete H1 element
    `HamletSpec.H3` | `h3()` Add an H3 element.
    `HamletSpec.Heading` | `h3(String cdata)` Add a complete H3 element.
    `HamletSpec.Heading` | `h3(String selector, String cdata)` Add a complete H1 element
    `HamletSpec.H4` | `h4()` Add an H4 element.
    `HamletSpec.Heading` | `h4(String cdata)` Add a complete H4 element.
    `HamletSpec.Heading` | `h4(String selector, String cdata)` Add a complete H4 element
    `HamletSpec.H5` | `h5()` Add an H5 element.
    `HamletSpec.Heading` | `h5(String cdata)` Add a complete H5 element.
    `HamletSpec.Heading` | `h5(String selector, String cdata)` Add a complete H5 element
    `HamletSpec.H6` | `h6()` Add an H6 element.
    `HamletSpec.Heading` | `h6(String cdata)` Add a complete H6 element.
    `HamletSpec.Heading` | `h6(String selector, String cdata)` Add a complete H6 element.

- - ### Method Detail

    - #### h1

          HamletSpec.H1 h1()

      Add an H1 element.
      Returns:
        a new H1 element builder

    - #### h1

          HamletSpec.Heading h1(String cdata)

      Add a complete H1 element.
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h1

          HamletSpec.Heading h1(String selector,
                                String cdata)

      Add a complete H1 element
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h2

          HamletSpec.H2 h2()

      Add an H2 element.
      Returns:
        a new H2 element builder

    - #### h2

          HamletSpec.Heading h2(String cdata)

      Add a complete H2 element.
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h2

          HamletSpec.Heading h2(String selector,
                                String cdata)

      Add a complete H1 element
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h3

          HamletSpec.H3 h3()

      Add an H3 element.
      Returns:
        a new H3 element builder

    - #### h3

          HamletSpec.Heading h3(String cdata)

      Add a complete H3 element.
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h3

          HamletSpec.Heading h3(String selector,
                                String cdata)

      Add a complete H1 element
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h4

          HamletSpec.H4 h4()

      Add an H4 element.
      Returns:
        a new H4 element builder

    - #### h4

          HamletSpec.Heading h4(String cdata)

      Add a complete H4 element.
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h4

          HamletSpec.Heading h4(String selector,
                                String cdata)

      Add a complete H4 element
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h5

          HamletSpec.H5 h5()

      Add an H5 element.
      Returns:
        a new H5 element builder

    - #### h5

          HamletSpec.Heading h5(String cdata)

      Add a complete H5 element.
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h5

          HamletSpec.Heading h5(String selector,
                                String cdata)

      Add a complete H5 element
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h6

          HamletSpec.H6 h6()

      Add an H6 element.
      Returns:
        a new H6 element builder

    - #### h6

          HamletSpec.Heading h6(String cdata)

      Add a complete H6 element.
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h6

          HamletSpec.Heading h6(String selector,
                                String cdata)

      Add a complete H6 element.
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.